# Spotifwdy (HeadFWD assessment)

## Includes

1. [Livereload](https://github.com/napcs/node-livereload)
2. [Serve](https://github.com/zeit/serve/)

## Getting started

* `make deps` - Install dependencies
* `make` - Compile all Elm and Scss files
* `make watch` - Start livereload and serve app, makes use of [entr](https://formulae.brew.sh/formula-linux/entr)
* `make build` - Build for production

## To serve db.json
* `npm install -g json-server` - Install json-server
* `json-server  db.json --port 4000` - Start server, serve on port 4000

For more info on json-server see: https://github.com/typicode/json-server